<?php
/**
 * Created by PhpStorm.
 * User: francismararaujo
 * Date: 23/10/14
 * Time: 17:07
 */

namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Method;

use Service\LoginService;

class LoginController extends \Zeedhi\Framework\Controller\Simple {

    protected $loginService;

    public function __construct(LoginService $loginService) {
        $this->loginService = $loginService;
    }

    public function login(Request\Filter $request, Response $response) {

        $credentials = $request->getFilterCriteria()->getConditions();

        if($credentials) {

            $email = $credentials[0]["value"];
            $password = $credentials[1]["value"];

            try {

                $user = $this->loginService->getUser($email, $password);

                if($user) {

                    $response->addDataSet(new DataSet ('User', $user['auth']));
                    $response->addDataSet(new DataSet ('Units', $user['units']));

                }

            }catch(\Exception $e) {
                
                $response->setError(new Error($e->getMessage(), $e->getCode()));
            }

        }

    }

}