import { ZdFramePage } from '@zeedhi/vuetify';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdFramePage,
    props: {
      path: 'login',
      local: true,
      JSONCache: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdFramePage,
    props: () => ({
      path: 'home',
      local: true,
      JSONCache: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdFramePage,
    props: {
      path: 'notfound',
      local: true,
      JSONCache: true,
    },
  },
  {
    path: '/inventarios',
    name: 'inventarios',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'inventarios/inventarios',
        routePath: '/inventarios',
      },
    }),
  },
  {
    path: '/solicitacao_compras',
    name: 'solicitacao_compras',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'solicitacao_compras/solicitacao_compras',
        routePath: '/solicitacao_compras',
      },
    }),
  },
  {
    path: '/efetivos',
    name: 'efetivos',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'efetivos/efetivos',
        routePath: '/efetivos',
      },
    }),
  },
  {
    path: '/autorizacao_fornecimento',
    name: 'autorizacao_fornecimento',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'afs/autorizacao_fornecimento',
        routePath: '/autorizacao_fornecimento',
      },
    }),
  },
  {
    path: '/importacao',
    name: 'importacao',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'importacao',
        routePath: '/importacao',
      },
    }),
  },
  // {
  //   path: '/exportacao',
  //   name: 'exportacao',
  //   component: ZdFramePage,
  //   props: () => ({
  //     path: 'exportacao',
  //     local: true,
  //     JSONCache: true,
  //   }),
  // },
  {
    path: '/errors',
    name: 'errors',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'errors',
        routePath: '/errors',
      },
    }),
  },
  {
    path: '/cardapio',
    name: 'cardapio',
    component: ZdFramePage,
    props: () => ({
      type: 'post',
      params: {
        local: true,
        JSONCache: true,
        jsonPath: 'cardapio/cardapio',
        routePath: '/cardapio',
      },
    }),
  },
];

export default routes;
